<template>
  <div class="otc-solution container">
    <h2 class="base-title">Solutions</h2>
    <p class="otc-solution__subtitle">
      Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
      tempor incididunt ut labore et dolore magna aliqua.
    </p>
    <div>
      <div class="otc-solution__item item">
        <div class="item__img item__img--ebox">
          <img
            src="../../assets/img/otc/otc-ebox.png"
            width="555"
            height="500"
            alt=""
          />
        </div>
        <div class="item__content item__content--ebox">
          <p class="item__title">TBCC E-Box</p>
          <p class="item__text">
            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
            eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
            ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
            aliquip ex ea commodo consequat.
          </p>
          <base-button @click.native="() => submitPlan('TBCC OTC / E-Box')">
            Apply It
          </base-button>
        </div>
      </div>
      <div class="otc-solution__item item">
        <div class="item__content">
          <p class="item__title">TBCC E-Box</p>
          <p class="item__text">
            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
            eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
            ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
            aliquip ex ea commodo consequat.
          </p>
          <base-button @click.native="() => submitPlan('TBCC OTC / Store')">
            Apply It
          </base-button>
        </div>
        <div class="item__img">
          <img
            src="../../assets/img/otc/otc-store.png"
            width="555"
            height="500"
            alt=""
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  methods: {
    ...mapActions({
      setCurrentPlan: 'setCurrentPlan',
    }),

    submitPlan(plan) {
      this.setCurrentPlan(plan)
      this.$router.push(this.localePath('/application'))
    },
  },
}
</script>

<style lang="scss" scoped>
.base-title {
  font-size: 36px;
  margin: 0 0 35px;
  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.otc-solution {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__item {
    display: flex;
    align-items: center;
    width: 100%;
    @media (max-width: 767px) {
      flex-direction: column;
      margin-bottom: 20px;
    }
  }

  &__subtitle {
    font-size: 18px;
    line-height: 28px;
    color: #6983ab;
    text-align: center;
    max-width: 580px;
    margin-top: 0;

    @media (max-width: 767px) {
      max-width: 300px;
      font-size: 16px;
      line-height: 24px;
    }
  }
}

.item {
  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }

  &__content {
    padding-left: 15px;

    @media (max-width: 767px) {
      order: 1;
      padding-left: 0 !important;
      display: flex;
      flex-direction: column;
      align-items: center;
      position: relative;
      top: -20px;
    }

    &--ebox {
      padding-left: 40px;
    }

    button {
      background: #051345;

      @media (max-width: 767px) {
        width: 100%;
        max-width: 320px;
        justify-content: center;
      }
    }
  }

  &__img {
    &--ebox {
      img {
        position: relative;
        @media (min-width: 1024px) {
          left: -30px;
        }
      }
    }

    img {
      object-fit: contain;
      width: 100%;
      height: 100%;
      max-width: 555px;
      max-height: 500px;

      @media (max-width: 767px) {
        max-width: 425px;
      }

      @media (min-width: 1024px) {
        width: 555px;
        height: 500px;
      }
    }
  }

  &__title {
    color: white;
    font-size: 36px;
    margin: 0 0 40px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 24px;
      line-height: 30px;
      align-self: flex-start;
    }
  }

  &__text {
    font-size: 18px;
    line-height: 28px;
    color: #6983ab;
    margin: 0 0 40px;
    max-width: 440px;

    @media (max-width: 767px) {
      max-width: 320px;
      font-size: 16px;
      line-height: 24px;
    }
  }
}
</style>
